org.eclipse.emf.compare.ide.internal.utils

## Interface DisposableResourceSet

All Superinterfaces:
  Notifier, ResourceSet

All Known Implementing Classes:
  NotLoadingResourceSet, SynchronizedResourceSet

    public interface DisposableResourceSet
    extends ResourceSet

A `ResourceSet` that offers a dispose method.

### Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.resource.ResourceSet

`RESOURCE_SET__RESOURCES`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` This method should be called when the resource set is no longer needed.

### Methods inherited from interface org.eclipse.emf.ecore.resource.ResourceSet

`createResource, createResource, getAdapterFactories, getAllContents, getEObject, getLoadOptions, getPackageRegistry, getResource, getResourceFactoryRegistry, getResources, getURIConverter, setPackageRegistry, setResourceFactoryRegistry, setURIConverter`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### dispose

    void dispose()

This method should be called when the resource set is no longer needed.